%global modulename which

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-which
Version:        1.3.1
Release:        1%{?dist}
Summary:        Like which(1) unix command. Find the first instance of an executable in the PATH.

License:        ISC
URL:            https://github.com/isaacs/node-which#readme
Source0:        https://registry.npmjs.org/which/-/which-1.3.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(isexe) >= 2.0.0 with npmlib(isexe) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Like which(1) unix command. Find the first instance of an executable in the PATH.

%package 1.3.1
Summary:        Like which(1) unix command. Find the first instance of an executable in the PATH.


%description 1.3.1
Like which(1) unix command. Find the first instance of an executable in the PATH.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr which.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/which %{buildroot}/%{_bindir}/which


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{_bindir}/which
%{nodejs_dir}/%{modulename}

%files 1.3.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.3.1-1
- Package automatically generated by npm2srpm
